Subject: Re: intra-domain diameter

From: [email-masked]
Date: Thu, 4 Oct 2007 12:03:10 EDT

Thanks for your response. And I totally agree with you. 
The diamter topic should be considered independent from the re-route issue.  
Right, a few hops more, cannot be the point. Maybe this is more an  
ospf-mailinglist topic and it might be useful to do more topology evaluation in  order 
to relate the size of the network with the available TTL-byte (will say  the 
TTL-size limits the biggest size of an OSPF-network somehow, right)
 
With respect to the IPFRR topic, I believe (i.e. would know how to do it)  
that the relative simple TTL-weapon could be re-smithed as to PREVENT endless  
loops instead of reporting the propability of a happened loop.
 
But maybe that this group is interested in a continuation of its  current 
work after the IPRRF-draft is rfc-ed.?!
At some point in time later. It would be for sure a bigger but interesting  
work. Therefore, keep in mind, whichever argument some of you may like to bring 
 up against it, may already be a positive constructive contribution :-)
 
Heiner

In einer eMail vom 04.10.2007 15:50:45 Westeuropäische Normalzeit schreibt  
[email-masked]:

[email-masked] wrote:
> Between the simple TTL-mechanism  and IPFRR I can imagine many 
> different mechanisms to deal and cope  with loops which require 
> different amounts of complexity. But let me  address a different but 
> related aspect.  
>  
>  How big can an OSPF network be? Could it be that its size would 
>  require a larger TTL start value than 255 ?
> Given this issue, would it  make sense to "define" a diameter being the 
> sum of the distance  between the current (root) node and its  
> most distant node X1  plus the distance to its second most distant node 
> X2 which however  must be beyond some root-adjacent link which is not 
> the best for  getting to X1 ?
>  
> If this kind of diameter is smaller  than 255 then there is no problem 
> with the TTL size.
>  Otherwise, no safe statement can be made, further study is  required.
>  
> Has anyone already made related  investigations ?

What we investigated w.r.t. the TTL is that :
Upon  IP FRR activation, LFA or Notvia, the end-to-end path are not much 
longer  in terms of number hops than
1. The initial path hop length within the  topology
2. The post-convergence path hop length within the  topology.

This means that if you drop a packet due to TTL expiration  when it goes 
through an IP-FRR protection :
1. There is a significant  chance that the packet would have been dropped 
before the failure  anyway.
2. There is a significant chance that a packet sent from the same  source 
to the same destination with the same TTL will be dropped  when
the network has converged.

This has been verified on topologies  ranging from small national ISPs to 
damn huge Tier-1 ISP  topologies.

The conclusion is that
Size doesn't matter,   diameter does, BUT this diameter doesn't change 
much upon a link / node  failure.

Regards,

Pierre.

>  
> Heiner  
>  ------------------------------------------------------------------------
>
>  _______________________________________________
> rtgwg mailing  list
> [email-masked]
>  https://www1.ietf.org/mailman/listinfo/rtgwg
>    

_______________________________________________
rtgwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rtgwg